This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 817297 - Windows users running into errors installing rhc client tools
Windows users running into errors installing rhc client tools
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
high Severity urgent
: ---
: ---
Assigned To: Fotios Lindiakos
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 14:40 EDT by Nam Duong
Modified: 2015-05-14 21:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:22:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2012-04-28 14:40:02 EDT
Description of problem:
See forum post:
https://openshift.redhat.com/community/forums/openshift/gem-install-rhc-in-windows7-fails

They are getting errors when running "gem install rhc" even after running "gem install rake":
Asus@Asus-PC ~
$ gem install rhc
Building native extensions. This could take a while...
ERROR: Error installing rhc:
ERROR: Failed to build gem native extension.

/usr/bin/ruby.exe mkrf_conf.rb
Building native extensions. This could take a while...

Gem files will remain installed in /usr/lib/ruby/gems/1.8/gems/rhc-rest-0.0.14 f or inspection.
Results logged to /usr/lib/ruby/gems/1.8/gems/rhc-rest-0.0.14/ext/gem_make.out

Asus@Asus-PC ~
$ gem list

*** LOCAL GEMS ***

json_pure (1.6.6)
mime-types (1.18)
parseconfig (0.5.2)
rake (0.9.2.2)
rest-client (1.6.7)
Comment 1 Clayton Coleman 2012-04-28 20:54:58 EDT
Possibly related / fixable by changes we made already?
Comment 2 Xiaoli Tian 2012-05-03 06:58:15 EDT
Tested it with the latest production version on windows 7:

$ gem install rhc
Fetching: rake-0.9.2.2.gem (100%)
Fetching: rhc-0.91.12.gem (100%)
Building native extensions.  This could take a while...
      ===================================================
        rhc-rest is no longer needed as an external gem
          - If it is installed, it will be removed
          - Its libraries are now included in rhc
            - Any applications requiring rhc-rest will
              still function as expected
      ===================================================
Successfully installed rake-0.9.2.2
Successfully installed rhc-0.91.12
2 gems installed
Installing ri documentation for rake-0.9.2.2...
Installing ri documentation for rhc-0.91.12...
Installing RDoc documentation for rake-0.9.2.2...
Installing RDoc documentation for rhc-0.91.12...

If any of you still have client install problems on windows, feel free to re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.